Gildor's Forums

Author Topic: Lineage 2 Revolution Assets  (Read 2296 times)
george_sears
Newbie
*
Posts: 32


View Profile
Lineage 2 Revolution Assets
« on: December 23, 2016, 23:18 »

Добрый день!
Пытаюсь вытащить хоть что-нибудь из этой мобильной игрушки, смог распаковать data.pak получил тонну файлов .uasset-расширения.
Umodel отказывался открывать .pak как и экспортировать .uasset в любой другой формат- выдает ошибку:
Unversioned UE4 packages are not supported. Please override game using UI or command line.
SerializePackageFileSummary4 <- FPackageFileSummary<<:Ver=0/0 <- UnPackage::UnPackage:Dwarf/Parts/Default/Texture/Dwarf_Default_Armor_01_no.uasset, ver=0/0, game=10000 <- UnPackage::LoadPackage:Dwarf/Parts/Default/Texture/Dwarf_Default_Armor_01_no.uasset <- CUmodelApp::ShowPackageUI <- Main:umodel_version=522

Пробывал выставлять Андроид как платформу, версию движка в 4.11, все равно не пашет.
Помогите пожалуйста.
Logged
Gildor
Administrator
Hero Member
*****
Posts: 7899



View Profile WWW
Re: Lineage 2 Revolution Assets
« Reply #1 on: December 23, 2016, 23:22 »

Добрый день!
Добрый день.
Quote
Unversioned UE4 packages are not supported. Please override game using UI or command line.
Если действительно выставить версию движка, то этой ошибки не будет. В худшем случае будет другая ошибка. Пока же я только вижу, что umodel был использован неправильно.
Logged
george_sears
Newbie
*
Posts: 32


View Profile
Re: Lineage 2 Revolution Assets
« Reply #2 on: December 24, 2016, 00:12 »

Могу я скинуть вам непосредственно файлы для личного тестирования?
Я искренне прошу прощения за надоедливые вопросы.
Пока попробую сам все изучить, но изменение движка вплоть до 4.11 не дало результатов.
Стоит ли мне тестировать Umodel на .pak или на .uasset?

UPD. Искренне прошу прощения.
Заработало на  4.13
Прошу, простите невежественного болвана.
Я слишком туп, чтобы использовать тулы за гранью Ninja Ripper'a и может быть NifSkope)
« Last Edit: December 24, 2016, 00:22 by george_sears » Logged
Gildor
Administrator
Hero Member
*****
Posts: 7899



View Profile WWW
Re: Lineage 2 Revolution Assets
« Reply #3 on: December 24, 2016, 00:20 »

В 99% процентов случаев это не требуется. Просто найдите версию движка которую надо вбить в UI. Возможно имеет смысл отключить текстуры при поиске, так как это Android, и я не уверен что всё сразу заработает - т.е. найдите рабочую версию без текстур. Ошибка про "unversioned packages" выскакивать не должна.
Logged
george_sears
Newbie
*
Posts: 32


View Profile
Re: Lineage 2 Revolution Assets
« Reply #4 on: December 24, 2016, 00:28 »

Прошу вас, удалите англоязычную ветку что я создал за ненадобностью.
На данной момент получается выдрать текстуры, с моделями пока все та же ошибка
Logged
Gildor
Administrator
Hero Member
*****
Posts: 7899



View Profile WWW
Re: Lineage 2 Revolution Assets
« Reply #5 on: December 24, 2016, 00:31 »

"та же" - это какая?
Logged
george_sears
Newbie
*
Posts: 32


View Profile
Re: Lineage 2 Revolution Assets
« Reply #6 on: December 24, 2016, 00:35 »

Виноват, уже другая
Bad allocation size

appMalloc:size=872415232 (total=6 Mbytes) <- FArray::Empty:436207616 x 2 <- TArray::SerializeSimple <- FSkelMeshSection4<< <- TArray::Serialize:0/1 <- FStaticLODModel4<< <- TArray::Serialize:0/2 <- USkeletalMesh4::Serialize <- LoadObject:SkeletalMesh4'Dwarf_Wolfknights_Armor_01.Dwarf_WolfKnights_Armor_01', pos=27FB, ver=505/0 (unversioned), game=1000E <- UObject::EndLoad <- CUmodelApp::ShowPackageUI <- UIMenuItem::HandleCommand <- UIMenuItem::HandleCommand <- CUmodelApp::WndProc <- VisualizerLoop <- Main:umodel_version=522

Я выставлял определение компрессии по дефолту Auto, её тоже стоит по-переключать?
Logged
Gildor
Administrator
Hero Member
*****
Posts: 7899



View Profile WWW
Re: Lineage 2 Revolution Assets
« Reply #7 on: December 24, 2016, 10:58 »

Здесь 3 варианта
1. выставлена неправильная версия движка
2. игра работает на какой-то промежуточной версии движка, как к примеру PARAGON (такое встречается когда имеешь дело с альфа-версиями игр)
3. движок модифицирован

Решение есть только для варианта #1 - попробовать другие версии. Я полагаю что вы это уже сделали.
Для варианта #2 решение - подождать обновления, возможно в нём игра будет переведена на что-то более вменяемое.
Logged
Jump to:  

Powered by SMF | SMF © 2006-2009, Simple Machines LLC
Leviathan design by Bloc | XHTML | CSS